Bug 51563 - Vendor info for USB scanner
Vendor info for USB scanner
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-12 08:14 EDT by Kjartan Maraas
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-23 04:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2001-08-12 08:14:32 EDT
Description of Problem:

My Canon CanoScan 660U isn't recognized by the USB drivers.

How Reproducible:

Every time.

Steps to Reproduce:
1.attach the scanner to the USB port 
2. monitor /var/log/messages
3. 

Actual Results:

Not recognized by any driver

Expected Results:

Correct vendor information should be displayed.

Additional Information:

Aug 12 14:02:59 hoth kernel: hub.c: USB new device connect on bus1/1,
assigned device number 6
Aug 12 14:02:59 hoth kernel: usb.c: USB device 6 (vend/prod 0x4a9/0x2208)
is not claimed by any active driver.
Comment 1 Glen Foster 2001-08-13 14:37:41 EDT
Does it work if you manuallty load the drivers?  If it does, this should be a
SHOULD-FIX (and if not, then it's not critical).
Comment 2 Kjartan Maraas 2002-07-23 04:28:46 EDT
Don't have access to the scanner anymore. Close it?
Comment 3 Pete Zaitcev 2002-07-23 12:54:45 EDT
Scanners are known for not following a class, so the driver
allows for user specified vendor and product values
(do modinfo /lib/modules/2.4.18-5/kernel/drivers/usb/scanner.o).
You have to edit modules.usb manually, to make hotplug to work.

Note You need to log in before you can comment on or make changes to this bug.